请选择 进入手机版 | 继续访问电脑版

bug猿

发一贴 点击可联系我
knight 2018-12-3 14:30:41 
本帖最后由 knight 于 2018-12-3 14:34 编辑

用其他版本会报错
make: *** [php_zip.lo] 错误 1
所以用1.12.4的

[root@backup data]# wget http://pecl.php.net/get/zip-1.12.4.tgz

[root@backup data]# tar zxvf zip-1.12.4.tgz

[root@backup data]# cd zip-1.12.4

[root@backup zip-1.12.4]# /www/wdlinux/你php的路径,如apache_php-xx.xx.xx/bin/phpize

[root@backup zip-1.12.4]# ./configure –with-php-config=/www/wdlinux/你php的路径,如apache_php-xx.xx.xx/bin/php-config

[root@backup zip-1.12.4]# make

[root@backup zip-1.12.4]# make install


安装好之后修改一下php.ini的配置文件,加上以下的扩展:

[root@backup zip-1.12.4]# vim /www/wdlinux/你php的路径,如apache_php-xx.xx.xx/etc/php.ini

extension=/www/wdlinux/你php的路径,如apache_php-xx.xx.xx/lib/php/extensions/no-debug-non-zts-这里的编号在上面安装的时候ssh界面有/zip.so




使用道具

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

琼ICP备17005251号-1Archiver手机版小黑屋  

商务洽谈:171953634 

© 2004-2020 bug猿,all rights reserved

快速回复 返回顶部 返回列表